Package com.gpudb.protocol
Class AggregateKMeansRequest.Options
java.lang.Object
com.gpudb.protocol.AggregateKMeansRequest.Options
Enclosing class:
A set of string constants for the
AggregateKMeansRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringIfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofRESULT_TABLE.static final Stringstatic final StringNumber of times to try to hit the tolerance limit before giving up - default is 10.static final StringNumber of times to run the k-means algorithm with a different randomly selected starting points - helps avoid local minimum.static final StringThe name of a table used to store the results, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria.static final StringIfTRUE, then the result table specified inRESULT_TABLEwill be persisted and will not expire unless aTTLis specified.static final Stringstatic final StringSets the TTL of the table specified inRESULT_TABLE.static final StringWhen set to 1 each of the columns is first normalized by its stdv - default is not to whiten.
Field Details
CREATE_TEMP_TABLE
IfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofRESULT_TABLE. IfRESULT_TABLE_PERSISTisFALSE(or unspecified), then this is always allowed even if the caller does not have permission to create tables. The generated name is returned inQUALIFIED_RESULT_TABLE_NAME. Supported values:The default value isFALSE.See Also:RESULT_TABLE
The name of a table used to store the results, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria. If this option is specified, the results are not returned in the response.See Also:RESULT_TABLE_PERSIST
IfTRUE, then the result table specified inRESULT_TABLEwill be persisted and will not expire unless aTTLis specified. IfFALSE, then the result table will be an in-memory table and will expire unless aTTLis specified otherwise. Supported values:The default value isFALSE.See Also: